Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class StateInfo

    java.lang.Object
      com.nortel.soa.oi.cct.types.StateInfo

    public class StateInfo

extends java.lang.Object

Java class for stateInfo complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="stateInfo">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="currentState" type="{http://www.nortel.com/soa/oi/cct/types}state"/>
             <element name="lastState" type="{http://www.nortel.com/soa/oi/cct/types}state"/>
             <element name="type" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="parentId" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`StateInfo()`

Method Summary
`State` | `getCurrentState()` Gets the value of the currentState property.
`State` | `getLastState()` Gets the value of the lastState property.
`java.lang.String` | `getParentId()` Gets the value of the parentId property.
`java.lang.String` | `getType()` Gets the value of the type property.
`void` | `setCurrentState(State value)` Sets the value of the currentState property.
`void` | `setLastState(State value)` Sets the value of the lastState property.
`void` | `setParentId(java.lang.String value)` Sets the value of the parentId property.
`void` | `setType(java.lang.String value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateInfo

    public StateInfo()

Method Detail

### getCurrentState

    public State getCurrentState()

  Gets the value of the currentState property.

  Returns:
    possible object is `State`

### setCurrentState

    public void setCurrentState(State value)

  Sets the value of the currentState property.

  Parameters:
    `value` - allowed object is `State`

### getLastState

    public State getLastState()

  Gets the value of the lastState property.

  Returns:
    possible object is `State`

### setLastState

    public void setLastState(State value)

  Sets the value of the lastState property.

  Parameters:
    `value` - allowed object is `State`

### getType

    public java.lang.String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(java.lang.String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### getParentId

    public java.lang.String getParentId()

  Gets the value of the parentId property.

  Returns:
    possible object is `String`

### setParentId

    public void setParentId(java.lang.String value)

  Sets the value of the parentId property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.